## golang-github-charmbracelet-huh 0.5.2%2Bds

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repacksuffix=+ds,dversionmangle=s/\+ds//,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/charmbracelet/huh/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-charmbracelet-huh 0.8.0+ds

=== Makefile ===
.PHONY: spinner

$(V).SILENT:
test:
	go test ./...

spinner:
	cd spinner/examples/loading && go run .

burger:
	cd examples/burger && go run .

theme:
	cd examples/theme && go run .

gh:
	cd examples/gh && go run .

## golang-github-charmbracelet-huh 0.5.2+ds

=== debian/changelog ===
golang-github-charmbracelet-huh (0.5.2+ds-2) unstable; urgency=medium

  * Team upload
  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 09 Sep 2024 13:06:21 +0000

golang-github-charmbracelet-huh (0.5.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1077300)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 04 Sep 2024 22:18:58 +0000

=== debian/control ===
Source: golang-github-charmbracelet-huh
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-catppuccin-go-dev,
               golang-github-charmbracelet-bubbles-dev,
               golang-github-charmbracelet-bubbletea-dev,
               golang-github-charmbracelet-lipgloss-dev,
               golang-github-charmbracelet-x-dev,
               golang-github-mitchellh-hashstructure-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-charmbracelet-huh
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-charmbracelet-huh.git
Homepage: https://github.com/charmbracelet/huh
XS-Go-Import-Path: github.com/charmbracelet/huh

Package: golang-github-charmbracelet-huh-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-catppuccin-go-dev,
         golang-github-charmbracelet-bubbles-dev,
         golang-github-charmbracelet-bubbletea-dev,
         golang-github-charmbracelet-lipgloss-dev,
         golang-github-charmbracelet-x-dev,
         golang-github-mitchellh-hashstructure-dev,
         ${misc:Depends}
Description: Build interactive forms and prompts in the terminal 🤷🏻‍♀️ (library)
 The huh library features different input types like single line, multi-line
 text, selectable options, and confirm actions. The tool is also accessible,
 offering a special mode for screen readers that replaces text-based user
 interfaces with standard prompts, enhancing usability for visually impaired
 users.
 .
 Additionally, it supports a theming system, allowing users to choose from
 predefined themes like Charm, Dracula, Catppuccin, Base 16, or create their
 own.

## golang-github-charmbracelet-huh 0.8.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples spinner/examples

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-charmbracelet-huh 0.8.0+ds

=== debian/changelog ===
golang-github-charmbracelet-huh (0.8.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Update versioned build dependency on golang-github-charmbracelet-x-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 31 Oct 2025 16:30:56 +0100

golang-github-charmbracelet-huh (0.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.0+ds
    - Build-Depend on golang-github-charmbracelet-colorprofile-dev
  * Exclude files in spinner/examples from compilation
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.2, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 31 Oct 2025 13:54:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-catppuccin-go-dev,
-               golang-github-charmbracelet-bubbles-dev,
-               golang-github-charmbracelet-bubbletea-dev,
+               golang-github-charmbracelet-bubbles-dev (>= 0.21.0),
+               golang-github-charmbracelet-bubbletea-dev (>= 1.3.10),
+               golang-github-charmbracelet-colorprofile-dev,
                golang-github-charmbracelet-lipgloss-dev,
-               golang-github-charmbracelet-x-dev,
+               golang-github-charmbracelet-x-dev (>= 0.0~git20251028.0cf22f8),
                golang-github-mitchellh-hashstructure-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-charmbracelet-huh
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-charmbracelet-huh.git
 Homepage: https://github.com/charmbracelet/huh
@@ -24,10 +24,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-catppuccin-go-dev,
-         golang-github-charmbracelet-bubbles-dev,
-         golang-github-charmbracelet-bubbletea-dev,
+         golang-github-charmbracelet-bubbles-dev (>= 0.21.0),
+         golang-github-charmbracelet-bubbletea-dev (>= 1.3.10),
+         golang-github-charmbracelet-colorprofile-dev,
          golang-github-charmbracelet-lipgloss-dev,
-         golang-github-charmbracelet-x-dev,
+         golang-github-charmbracelet-x-dev (>= 0.0~git20251028.0cf22f8),
          golang-github-mitchellh-hashstructure-dev,
          ${misc:Depends}
 Description: Build interactive forms and prompts in the terminal 🤷🏻‍♀️ (library)
